1 Reply Latest reply on Feb 13, 2017 12:05 PM by dj_paige

    5.7.1 vs. 6.5

    cmussachio

      I have lightroom 5.7.1.  My camera is not listed in this version.  It says I need 6.5.  Can I update my current version or do I need to download the new program?

        • 1. Re: 5.7.1 vs. 6.5
          dj_paige Level 9

          You have to PURCHASE either Lightroom 6.5 or Lightroom CC 2015.5 (or later, the current version is 6.8/CC 2015.8).

           

          The free alternative is to use the Adobe DNG Converter, convert your RAWs to DNG, and then import the DNGs in to LR 5.7.1.